# Infidel Cupper

This is infidel's fork version of hugo [Cupper](https://github.com/zwbetz-gh/cupper-hugo-theme) theme. I use this theme for my own site  [nnag.me](https://nnag.me).

## Added Feature

### Plausible integration

#### Shortcode

```go
    {{ if and (.Site.Params.plsDomain) (.Site.Params.plsUrl) }}
        <script defer data-domain="{{.Site.Params.plsDomain}}" src="{{.Site.Params.plsUrl | relURL}}"></script>
    {{ end }}

```

#### params

```yml
    ...
    params:
        plsDomain : <Your Domain>
        plsUrl    : <Your Plausible script url>
    ...
```

### PDF.js

#### shortcode

- `layout/shortcodes/embed-pdf.html`

#### scripts

- `static/js/pdf.js`
- `static/js/pdf.worker.js`

